Subject: Re: bug#60126: 30.0.50; vc-git-checkin: Offer to unstage conflicting changes

From: Dmitry Gutov <[email-masked]>
Date: Sat, 24 Dec 2022 01:18:28 +0200

On 23/12/2022 05:59, Sean Whitton wrote:
> It works, except that sometimes the let-binding of process-environment
> fails, such that the commands affect the normal index rather than the
> temporary index.  Can you see what I'm doing wrong there?

Could you describe be "sometimes" occurrences? Does that happen through 
repeating a similar action several times? Or slightly different actions?

The process-environment setup seems fine. We did corrupt it in 1-2 
places in the past using 'setenv', but I don't see anything like that in 
the current codebase. And the effect would probably be different anyway.